<mat-card>
        <mat-card-header>
            <div mat-card-avatar class="example-header-image"></div>
            <mat-card-title>Movies List</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <mat-list role="list">
                <mat-list-item *ngFor="let movie of movies" (click) = "editMovie(movie)">
                    <h3 matLine>{{movie.title}}</h3>
                    <p matLine>
                        <span>Director: {{movie.directorName}}</span>
                    </p>
                    <p matLine>
                        <span>Year: {{movie.moviewYear}}</span>
                    </p>
                    <p matLine>
                        <span>Rating: {{movie.rating}}</span>
                    </p>
                    <p matLine>
                        <span>Actors: {{movie.actors}}</span>
                    </p>
                    <p>

                    </p>
                    <mat-divider></mat-divider>
                </mat-list-item>
                
            </mat-list>
        </mat-card-content>
        <div *ngIf="!hideForm">
            <app-movie-form [movie] = "eventSubject.asObservable()"></app-movie-form>
        </div>
        <button mat-flat-button color="primary" (click)="showForm()" class="add-button">Add new</button>
    </mat-card>
